defmodule TempelAws.MixProject do
  use Mix.Project

  def project do
    [
      app: :tempel_aws,
      version: "0.1.1",
      elixir: "~> 1.14",
      start_permanent: Mix.env() == :prod,
      deps: deps(),

      # Docs
      name: "TempelAws",
      package: package(),
      description: description(),
      source_url: "https://bitbucket.org/aripurna/tempel_aws",
      homepage_url: "https://bitbucket.org/aripurna/tempel_aws",
      docs: [
        main: "TempelAws",
        extras: ["README.md"]
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:aws, "~> 0.13.0"},
      {:aws_signature, "~> 0.3.1"},
      {:hackney, "~> 1.18"},
      {:exvcr, "~> 0.11", only: :test},
      {:dotenv, "~> 3.0.0", only: :test},
      {:tempel,
       git: "https://bitbucket.org/aripurna/tempel",
       ref: "ef528d416489b04082132b43077cc7024a3d5f32",
       only: :test},
      {:ex_doc, "~> 0.27", only: :dev, runtime: false}
    ]
  end

  defp description() do
    "TempelAws is a service module for Tempel for AWS S3"
  end

  defp package() do
    [
      links: %{"Bitbucket" => "https://bitbucket.org/aripurna/tempel_aws"},
      licenses: ["Apache-2.0"]
    ]
  end
end
